package jp.sf.amateras.xmleditor.preferences;

import jp.sf.amateras.xmleditor.XMLEditorPlugin;
import jp.sf.amateras.xmleditor.editors.IXMLColorConstants;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.resource.StringConverter;

public class XMLEditorPreferenceInitializer extends AbstractPreferenceInitializer {

	public void initializeDefaultPreferences() {
		IPreferenceStore store = XMLEditorPlugin.getDefault().getPreferenceStore();
		store.setDefault(PreferenceConstants.COLOR_TAG, StringConverter.asString(IXMLColorConstants.TAG));
		store.setDefault(PreferenceConstants.COLOR_COMMENT, StringConverter.asString(IXMLColorConstants.XML_COMMENT));
		store.setDefault(PreferenceConstants.COLOR_STRING, StringConverter.asString(IXMLColorConstants.STRING));
		store.setDefault(PreferenceConstants.COLOR_PROC, StringConverter.asString(IXMLColorConstants.PROC_INSTR));
		store.setDefault(PreferenceConstants.COLOR_DEFAULT, StringConverter.asString(IXMLColorConstants.DEFAULT));
	}

}
